package com.oqpo.api.mapper.system;

import com.oqpo.api.entity.system.NumbEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface NumbMapper {
    List<NumbEntity> selectSearchNumbList(@Param("sUseYn") String sUseYn, @Param("sNumNm") String sNumNm) throws Exception;

    NumbEntity selectNumbInfo(@Param("numNo") Integer numNo) throws Exception;

    int insertNumbInfo(@Param("userId") String userId, NumbEntity entity) throws Exception;
    int updateNumbInfo(@Param("userId") String userId, NumbEntity entity) throws Exception;

}
